#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libfm
Version		:	1.3.2
Release		:	14.8.0.0%{?dist}
Summary		:	GIO-based library for file manager-like programs
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://blog.lxde.org/category/pcmanfm
			#https://downloads.sourceforge.net/pcmanfm 

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gtk2+
BuildRequires	:	menu-cache

Provides	:	%{name}-gtk

Obsoletes	:	%{name}-extra	<=	%{version}-%{release}
#-----------------------------------------------------------------------------
%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote
file systems supported by gvfs.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/%{name}/%{name}.conf
%{_bindir}/%{name}-pref-apps
%{_bindir}/lxshortcut
%{_includedir}/%{name}
%{_includedir}/%{name}-1.0/fm.h
%{_includedir}/%{name}-1.0/fm-*.h
%{_libdir}/%{name}.so*
%{_libdir}/%{name}-*.so*
%{_libdir}/%{name}/modules/gtk-*.so
%{_libdir}/%{name}/modules/vfs-*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/%{name}/*/*.{png,ui}
%{_datadir}/%{name}/*.list
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}-pref-apps.desktop
%{_datadir}/applications/lxshortcut.desktop
%{_mandir}/man1/*.1.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install
	
#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
